Package edu.fiu.jtlex

# Class Term

java.lang.Object
edu.fiu.jtlex.Term

All Implemented Interfaces:
  `IANode`, `ITerm`

    public class Term
    extends java.lang.Object
    implements ITerm

Author:
  arada002

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface edu.fiu.jtlex.ITerm

  `ITerm.NamedEntity, ITerm.PartOfSpeech`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Term​(int id, java.lang.String lemma, java.lang.String frameSet, java.lang.String text, int begin, int end, int elementId, java.lang.String timexText, ITerm.NamedEntity namedEntity, java.lang.String normalizedNER, edu.fiu.jtlex.data.ITimex.TimexType timexType, int tid)` | Creates a new Term with the specified information.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getBegin()` | Word’s first character position within text.
  `int` | `getElementId()` | Contains id of element (Can be verbs, nouns, clauses, sentences).
  `int` | `getEnd()` | Word’s last character position within text.
  `java.lang.String` | `getFrameSet()` | Composed of the lemma and the sense associated with it (Can check Wordnet).
  `int` | `getId()` | Each term has to be identified by a unique ID number.
  `java.lang.String` | `getLemma()` | Each head of the main term in the noun phrase.
  `ITerm.NamedEntity` | `getNamedEntity()` | Marks the Term as an Entity type.
  `java.lang.String` | `getNormalizedNER()` | Normalized text after annotated by NER.
  `java.lang.String` | `getText()` | Text being referred to by term.
  `int` | `getTid()` | Each timex has to be identified by a unique ID number.
  `java.lang.String` | `getTimexText()` | Each timex has text associated with it.
  `edu.fiu.jtlex.data.ITimex.TimexType` | `getTimexType()` | This value is not optional.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Term

    public Term​(int id, java.lang.String lemma, java.lang.String frameSet, java.lang.String text, int begin, int end, int elementId, java.lang.String timexText, ITerm.NamedEntity namedEntity, java.lang.String normalizedNER, edu.fiu.jtlex.data.ITimex.TimexType timexType, int tid)
    Creates a new Term with the specified information.
    Parameters:
      `id` - id of the Term, generated as unique identity for the node within the graph; may not be negative
      `lemma` - head of the main term in the noun phrase
      `frameSet` - lemma and sense of lemma (Can be seen in WordNet)
      `text` - the textual content of the node
      `begin` - word’s first character position within text
      `end` - word’s last character position within text
      `elementId` - id of the element (verbs, nouns, clauses, sentences)
      `timexText` - text of the timex
      `namedEntity` - the Stanford CoreNLP Entity Tag associated with the Term
      `normalizedNER` - normalized text after passed through NER (Named-Entity-Recognizer) annotater
      `timexType` - the type of the timex; may not be null
      `tid` - id of the timex; may not be negative

- ## Method Details

  - ### getId

    public int getId()
    Description copied from interface: `ITerm`
    Each term has to be identified by a unique ID number. This value is not optional. Returns the id of the term.
    Specified by:
      `getId` in interface `IANode`
    Specified by:
      `getId` in interface `ITerm`
    Returns:
      id integer may not be negative

  - ### getLemma

    public java.lang.String getLemma()
    Description copied from interface: `ITerm`
    Each head of the main term in the noun phrase. Returns the main term as a string.
    Specified by:
      `getLemma` in interface `ITerm`
    Returns:
      lemma string may not be null

  - ### getFrameSet

    public java.lang.String getFrameSet()
    Description copied from interface: `ITerm`
    Composed of the lemma and the sense associated with it (Can check Wordnet). Returns the lemma and sense seperated by a '.'.
    Specified by:
      `getFrameSet` in interface `ITerm`
    Returns:
      frameSet string may not be null

  - ### getText

    public java.lang.String getText()
    Description copied from interface: `ITerm`
    Text being referred to by term. Returns the text.
    Specified by:
      `getText` in interface `ITerm`
    Returns:
      text string may not be null

  - ### getBegin

    public int getBegin()
    Description copied from interface: `ITerm`
    Word’s first character position within text. Returns the integer position of first character.
    Specified by:
      `getBegin` in interface `ITerm`
    Returns:
      begin integer may not be negative

  - ### getEnd

    public int getEnd()
    Description copied from interface: `ITerm`
    Word’s last character position within text. Returns the integer position of last character.
    Specified by:
      `getEnd` in interface `ITerm`
    Returns:
      end integer may not be negative

  - ### getElementId

    public int getElementId()
    Description copied from interface: `ITerm`
    Contains id of element (Can be verbs, nouns, clauses, sentences). Returns the id of element.
    Specified by:
      `getElementId` in interface `ITerm`
    Returns:
      elementId integer may not be negative

  - ### getTimexText

    public java.lang.String getTimexText()
    Description copied from interface: `ITerm`
    Each timex has text associated with it. Returns the text tied to the timex.
    Specified by:
      `getTimexText` in interface `ITerm`
    Returns:
      timexText string may not be null

  - ### getNamedEntity

    public ITerm.NamedEntity getNamedEntity()
    Description copied from interface: `ITerm`
    Marks the Term as an Entity type. Returns the type to which the term belongs.
    Specified by:
      `getNamedEntity` in interface `ITerm`
    Returns:
      NamedEntity enum may not be null.

  - ### getNormalizedNER

    public java.lang.String getNormalizedNER()
    Description copied from interface: `ITerm`
    Normalized text after annotated by NER. Returns the NER annotated text.
    Specified by:
      `getNormalizedNER` in interface `ITerm`
    Returns:
      normalizedNER string may not be null

  - ### getTimexType

    public edu.fiu.jtlex.data.ITimex.TimexType getTimexType()
    Description copied from interface: `ITerm`
    This value is not optional. Returns the timex type to which the object belongs.
    Specified by:
      `getTimexType` in interface `ITerm`
    Returns:
      TimexType enum may not be null.

  - ### getTid

    public int getTid()
    Description copied from interface: `ITerm`
    Each timex has to be identified by a unique ID number. This value is not optional. Returns the integer part of the timexId.
    Specified by:
      `getTid` in interface `ITerm`
    Returns:
      timexId integer may not be negative